BRAVAIS(1)

NAME
bravais - Bravais lattices

SYNOPSIS
bravais [options] crystal_system [centering]

DESCRIPTION
Generate Bravais lattices in OFF format. lattice may be specified by its index number or (start of the) crystal_system name and centering

Crystal System Centering Vector Constraints Angle Constraints Triclinic P no constraints any not of higher symmetries Monoclinic P,C no constraints alpha = gamma = 90 <> beta Orthorhombic P,C,F,I a <> b <> c alpha = beta = gamma = 90 Tetragonal P,I a = b <> c alpha = beta = gamma = 90 Trigonal P a = b = c alpha = beta = gamma <> 90 Hexagonal P a = b, c alpha = beta = 90, gamma = 120 Cubic P,F,I a = b = c alpha = beta = gamma = 90

Centering Types: P - Primitive (Simple) centering on corners (default: P)

C - Base (also A or B)
    F - Face centering I - Body centering

Synonyms: Rhombohedral = Trigonal sc = Cubic P fcc = Cubic F bcc = Cubic I

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-H  additional help

-I  verbose output

-l <lim>
    minimum distance for unique vertex locations as negative exponent

    (default: 12 giving 1e-12)

-o <file> write output to file (default: write to standard output)

Lattice Options

-v <v,n>
    vector lengths, non-zero, in form "a,b,c" (default: calculated)

    optional fourth number, vectors taken to root n

-a <angs> angles in the form "alpha,beta,gamma". Ignored for Orthorhombic,

    Tetragonal, and Cubic. For Hexagonal, any non-90 position may be 120. Otherwise, if not supplied then random angles are chosen. Angles cannot be zero or 180. Angles may be negative values. alpha + beta + gamma must be less than 360. Each angle must be less than or equal to the sum of the other two angles

-g <grid> cell grid array. one or three positive integers separated by commas

    a - automatic, of sufficient size for radius (-G required) one integer, NxNxN grid. (default: calculated) three integers, IxJxK grid. Combinations for grid center: even,even,even - on cell corner odd,odd,odd - in cell body even,odd,even - on cell mid-edge odd,even,odd - on face center

-G <type> automatic grid center type (type 8 invalid for cell centering = P):

    p - corner, i - body, f - face, e - mid-edge, 8 - eighth cell

-d <vrts> output dual of lattice based on primitive vectors

    c - use primitive vectors base on centering type four integers - primitive vectors are determined by four vertex

    numbers given by non negative integers. The first vertex number is the radial point and the next three vertices are the primitive vectors

-u  add cell struts. Added to cubic grid before transformation

-s <s,n>
    create struts. s is strut length taken to optional root n

    use multiple -s parameters for multiple struts

-D <opt>
    Voronoi (a.k.a Dirichlet) cells (Brillouin zones for duals)

    c - cells only, i - cell(s) touching center only

-A  append the original lattice to the final product

Container Options

-c <type> container, c - cube (default), s - sphere (uses radius)

-k <file> container, convex hull of off file or built in model (uses radius)

-r <c,n>
    radius. c is radius taken to optional root n. n = 2 is sqrt

or  l - max insphere radius, s - min insphere radius (default)

or  k - take radius from container specified by -k

-p <xyz>
    radius to lattice point "x_val,y_val,z_val"

-q <vecs> center offset, in form "a_val,b_val,c_val" (default: none)

-C <opt>
    c - convex hull only, i - keep interior

Coloring Options (run 'off_util -H color' for help on color formats)

-V <col>
    vertex color, (optional) elements, (optional) transparency

    elements to color are l - lattice, c - convex hull, v - voronoi

    h - hex relation (default elements: lcvh)

    transparency. valid range from 0 (invisible) to 255 (opaque)

-E <col>
    edge color (same format as for vertices)

-F <col>
    face color (same format as for vertices)

    lower case outputs map indexes. upper case outputs color values key word: s,S color by symmetry using face normals key word: c,C color by symmetry using face normals (chiral)

-T <tran> face transparency for color by symmetry. valid range from 0 to 255

Scene Options

-R <opt>
    hexagonal/cubic relation (Cubic P or Trigonal only)

    o - hex overlay, f - hex fill, O - cube overlay, F - cube fill

-O  translate centroid of final product to origin

-Z <col>
    add centroid vertex to final product in color col

-K  append cage of container of -k to final product

Listing Options

-B  display the list of Bravais lattices

-Q <vecs> center for radius calculations in -L (default: centroid)

    c - original center, o - original center + offset in -q

-L <opt>
    list unique radial distances of points (to standard output)

    f - full report, v - values only

-S <opt>
    list every possible strut value (to standard output)

    f - full report, v - values only

SEE ALSO
The full documentation for bravais is maintained as a Texinfo manual. If the info and bravais programs are properly installed at your site, the command

    info bravais

should give you access to the complete manual.